Bug 1474441 - controller-manager panic/crash on volume verification
controller-manager panic/crash on volume verification
Status: VERIFIED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage (Show other bugs)
3.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.7.0
Assigned To: Hemant Kumar
Jianwei Hou
:
Depends On: 1474429
Blocks: 1474431
  Show dependency treegraph
 
Reported: 2017-07-24 11:38 EDT by Hemant Kumar
Modified: 2017-11-02 14:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1474429
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hemant Kumar 2017-07-24 11:38:12 EDT
+++ This bug was initially created as a clone of Bug #1474429 +++

As per https://github.com/kubernetes/kubernetes/issues/49418 controller-manager can crash in certain cases when volume spec present in attach/detach controller becomes nil. We need to cherry-pick the fix to 1.7 release.
Comment 1 Hemant Kumar 2017-07-25 13:34:00 EDT
PR for 3.7 - https://github.com/openshift/origin/pull/15433
Comment 3 Jianwei Hou 2017-09-25 22:37:54 EDT
Verified on 3.7

No regression issues found.

Note You need to log in before you can comment on or make changes to this bug.